import {
  get,
  post,
} from '@/common/utils/http-util.ts'

export default {
  pageList(data: MenuTypes.SearchForm) {
    return get<G.PageResult<MenuTypes.SysMenu>>('/menu/page_list', data)
  },
  paging(data: MenuTypes.SearchForm & G.PageParam) {
    return get<G.PageResult<MenuTypes.SysMenu>>('/menu/paging', data)
  },
  list(data?: MenuTypes.SearchForm | null) {
    return get<MenuTypes.SysMenu[]>('/menu/list_all', data)
  },
  listAll(data?: MenuTypes.SearchForm | null) {
    return get<MenuTypes.SysMenu[]>('/menu/list_all', data)
  },
  detail(id: string) {
    return get<MenuTypes.SysMenu>('/menu/detail', {id})
  },
  add(data: MenuTypes.AddForm) {
    return post('/menu/add', data)
  },
  modify(data: MenuTypes.ModifyForm) {
    return post('/menu/modify', data)
  },
  del(ids: string[]) {
    return post('/menu/del', ids)
  },
}
